"use strict";

//const lambdas = require("./index.js");
const { analysis, projectActions, memSourceActions } = require("./index.js");
const { memsourceLib, memsourceAPI } = require("../memsource");
const utils = require("./utils");
const config = require("./config.json");

module.exports.mapProject = (event, context, callback) =>
  projectActions
    .mapProject(event)
    .then(res => callback(null, ""))
    .catch(err => {
      console.log("Error", err);
    });

module.exports.assignProcess = (event, context, callback) => {
  let userData;
  let authenticationToken;
  let taskId = 718;
  return memSourceActions
    .assignProcess(taskId)
    .then(res => {
      userData = res;
      console.log(res);

      return utils
        .getAuthenticationToken(config.userMemSource, config.passMemSource)
        .then(token => (authenticationToken = token))
        .then(() => {
          console.log("myToken", authenticationToken);
          //TODO: Call to lambda active MemSource user
          //return lambda.activeMemUser(userData.mailUser);
          console.log(`Activating the user ${userData.mailUser} in memSource ...`);
          return memsourceLib.activateUser(authenticationToken, userData.mailUser);
        })
        .then(memUser => {
          /*
          console.log(memUser);
          //TODO: Call to lambda Assign job to memUser
          //return lambda.assignJob(res.uidJob[0].uid);
          console.log(`Assigning the user ${userData.mailUser} to the memSource job ${userData.uidJob} ...`);
          memsourceLib.assignJob(authenticationToken, userData.uidJob, testUserId);
          */
        });
    })

    .then(res => callback(null, ""));
};
