"use strict";
const { memsourceLib, memsourceAPI } = require("../../../memsource");
const utils = require("../../utils");
const config = require("../../config.json");
const util = require("../../utils/util.js");

const PM_USER_EMAIL = "mario.bogarin@welocalize.com";
const UBER_ACCOUNT_ID = 563;

function checkPthnTasks() {
  console.log("Checking pantheon tasks ...");
  let tasks = [];
  const query = { $include: ["tasks"], state: "production", accountProgramId: UBER_ACCOUNT_ID };
  return util.initSdk(PM_USER_EMAIL).then(sdk =>
    sdk
      .projectIndex(query)
      .then(projects => {
        console.log(projects);
        tasks = projects.data.map(pr =>
          pr.tasks.filter(t => (t.type === "copy-edit" || t.type === "translation") && t.state === "in_progress")
        );
        return tasks;
      })
      .catch(err => {
        console.log("Error ", err);
      })
  );
}

module.exports = {
  checkPthnTasks,
};
