"use strict";

const fs = require("fs");
const invokeLambda = require("@welocalize/pantheon.util.invoke.lambda").invokeLambda;
const { memsourceAPI } = require("../../memsource");

let authObject = require("./auth.json");

function getAuthenticationToken(userName, password) {
  return new Promise((resolve, reject) => {
    //if (authObject.token !== undefined && new Date() < new Date(authObject.expires)) {
    //return resolve(authObject.token);
    //}
    memsourceAPI
      .getAuthenticationToken(userName, password)
      .then(auth => {
        /*
        authObject.token = auth.token;
        authObject.expires = auth.expires;
        console.log(authObject);
        fs.writeFile(__dirname + "/auth.json", JSON.stringify(authObject), "utf8", (err, data) => {
          if (err) {
            return reject(err);
          }*/
        resolve(auth.token);
        //});
      })
      .catch(err => {
        reject(err);
      });
  });
}

function runLambda(agentName, srcData, lambdaName, localPath) {
  return Promise.resolve()
    .then(() => {
      console.log("RUN AGENT: agent %s", agentName);

      const cfg = {};
      cfg.name = agentName;
      cfg.localPath = localPath;
      cfg.remoteName = lambdaName;

      return invokeLambda(cfg, srcData);
    })
    .catch(err => {
      console.log("ERROR", err);
    });
}

module.exports = {
  getAuthenticationToken,
  runLambda,
};
